namespace Cute;

public interface INetworkUI
{
	string GetText(string code);

	void StartLoading(bool notEditor = false);

	void StopLoading();

	void GoToMypage();

	void SoftwareRest();

	bool IsKeepLastRequest();

	void SetKeepLastRequest(bool flag);

	void OpenRetryAndToTitleErrorPopUp(string title, string message, string code);

	void OpenGoToMypageErrorPopUp(string title, string message, string code);

	void OpenGoToTitleErrorPopUp(string title, string message, string code);

	void OpenGotoStoreErrorPopup();

	void OpenRetryFailErrorPopup();

	void OpenTimeOutErrorPopUp();

	void OpenHttpStatusErrorPopUp();

	void OpenResourceVersionUpPopUp();

	void OpenSessionErrorPopUp();

	bool isCloseDialogGroupError(int resultCode);

	void OpenCloseOnlyErrorPopUp(int resultCode);

	void OpenStrictServerErrorPopUp(int resultCode);

	void OpenAccountBlockErrorPopUp(int resultCode);

	void OpenAccountLimitedBlockErrorPopUp(int resultCode, string endTimeText);

	void OpenAllMaintenancePopUp(int resultCode, string endTime);

	void OpenEachFunctionMaintenancePopUp(int resultCode);

	void OpenOtherServerErrorPopUp(int resultCode);

	void OpenSocialServiceNoResponseErrorPopup();
}
